package com.ruoyi.web.modules.industryservice.mapper;

import java.util.List;
import com.ruoyi.web.modules.industryservice.domain.BizYakDiseaseWarning;

public interface BizYakDiseaseWarningMapper
{
    BizYakDiseaseWarning selectBizYakDiseaseWarningById(Long id);

    BizYakDiseaseWarning selectByExternalAlertId(String externalAlertId);

    List<BizYakDiseaseWarning> selectBizYakDiseaseWarningList(BizYakDiseaseWarning query);

    int insertBizYakDiseaseWarning(BizYakDiseaseWarning row);

    int updateBizYakDiseaseWarning(BizYakDiseaseWarning row);
}
